<template #header>
  <!-- header here -->
  <div
    class="header bg-white shadow-sm px-4 py-3 lg:px-12 fixed left-0 right-0 lg:relative z-50"
  >
    <div class="flex">
      <!-- logo here -->
      <a class="" href="/">
        <img src="~/assets/images/logo.svg" alt="" srcset="" class="" />
      </a>

      <!-- spacer -->
      <div class="flex-grow"></div>

      <!-- main menus & main button -->
      <!-- will apear on mobile & tablet -->
      <div class="mobile-menu lg:hidden">
        <button class="mobile-trigger btn" @click="mobileTrigger">
          <span class="jam jam-menu text-2xl"></span>
        </button>

        <!-- sidebar menu mobile -->
        <div
          class="fixed left-0 right-0 bottom-0 top-16 rounded-lg transition-all duration-1000"
          :class="mobileOpen ? 'flex' : 'hidden'"
        >
          <div
            class="mobile-sidebar-menu bg-white w-8/12 p-4 space-y-3 h-screen flex flex-col"
          >
            <NuxtLink
              to="/"
              class="btn bg-white text-gray-700 px-3 h-7 transition-all duration-500 border-0 hover:text-dive-blue hover:bg-gray-100"
            >
              Home
            </NuxtLink>
            <NuxtLink
              to="/about"
              class="btn bg-white text-gray-700 px-3 h-7 transition-all duration-500 border-0 hover:text-dive-blue hover:bg-gray-100"
            >
              About
            </NuxtLink>
            <NuxtLink
              to="/contact"
              class="btn bg-white text-gray-700 px-3 h-7 transition-all duration-500 border-0 hover:text-dive-blue hover:bg-gray-100"
            >
              Contact
            </NuxtLink>
            <NuxtLink
              to="/product"
              class="btn bg-white text-gray-700 px-3 h-7 transition-all duration-500 border-0 hover:text-dive-blue hover:bg-gray-100"
            >
              Product
            </NuxtLink>
            <NuxtLink
              to="/service"
              class="btn bg-white text-gray-700 px-3 h-7 transition-all duration-500 border-0 hover:text-dive-blue hover:bg-gray-100"
            >
              Service
            </NuxtLink>
            <button
              class="btn px-3 h-8 transition-all duration-500 bg-dive-blue border-0 text-white hover:transform hover:-translate-y-2"
            >
              Get Started
            </button>
          </div>
        </div>
      </div>

      <!-- will appear in desktop -->
      <div class="space-x-4 hidden lg:flex">
        <!-- button -->
        <NuxtLink
          to="/"
          class="btn bg-white text-gray-700 px-3 h-7 transition-all duration-500 border-0 hover:text-dive-blue hover:bg-gray-100"
        >
          Home
        </NuxtLink>
        <NuxtLink
          to="/about"
          class="btn bg-white text-gray-700 px-3 h-7 transition-all duration-500 border-0 hover:text-dive-blue hover:bg-gray-100"
        >
          About
        </NuxtLink>
        <NuxtLink
          to="/contact"
          class="btn bg-white text-gray-700 px-3 h-7 transition-all duration-500 border-0 hover:text-dive-blue hover:bg-gray-100"
        >
          Contact
        </NuxtLink>
        <NuxtLink
          to="/product"
          class="btn bg-white text-gray-700 px-3 h-7 transition-all duration-500 border-0 hover:text-dive-blue hover:bg-gray-100"
        >
          Product
        </NuxtLink>
        <NuxtLink
          to="/service"
          class="btn bg-white text-gray-700 px-3 h-7 transition-all duration-500 border-0 hover:text-dive-blue hover:bg-gray-100"
        >
          Service
        </NuxtLink>
        <button
          class="btn px-3 h-8 transition-all duration-500 bg-dive-blue border-0 text-white hover:transform hover:-translate-y-2"
        >
          Get Started
        </button>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data: function () {
    return {
      mobileOpen: false,
    };
  },
  methods: {
    mobileTrigger: function (e) {
      this.mobileOpen = !this.mobileOpen;
      console.log(this.mobileOpen);
    },
  },
};
</script>

<style>
</style>